# Uses of Enum Class
org.bukkit.event.entity.EntityRegainHealthEvent.RegainReason

Packages that use EntityRegainHealthEvent.RegainReason
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of EntityRegainHealthEvent.RegainReason in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return EntityRegainHealthEvent.RegainReason
Modifier and Type
Method
Description
`@NotNull EntityRegainHealthEvent.RegainReason`
EntityRegainHealthEvent.`getRegainReason()`
Gets the reason for why the entity is regaining health
`static EntityRegainHealthEvent.RegainReason`
EntityRegainHealthEvent.RegainReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityRegainHealthEvent.RegainReason[]`
EntityRegainHealthEvent.RegainReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.entity with parameters of type EntityRegainHealthEvent.RegainReason
Modifier
Constructor
Description
``
`EntityRegainHealthEvent(@NotNull Entity entity, double amount, @NotNull EntityRegainHealthEvent.RegainReason regainReason)`
``
`EntityRegainHealthEvent(@NotNull Entity entity, double amount, @NotNull EntityRegainHealthEvent.RegainReason regainReason, boolean isFastRegen)`